Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Map_Entry< EXT_ID, INT_ID > Class Template Reference

An entry in the Map. More...

`#include <Map_Manager.h>`

Inheritance diagram for ACE_Map_Entry< EXT_ID, INT_ID >:

[legend]
Collaboration diagram for ACE_Map_Entry< EXT_ID, INT_ID >:

[legend]
List of all members.

## Public Methods
| ~ACE_Map_Entry (void)
void | dump (void) const
| Dump the state of an object.
ACE_UINT32 | next (void) const
| Get next entry.
void | next (ACE_UINT32 n)
| Set next entry.
ACE_UINT32 | prev (void) const
| Get prev entry.
void | prev (ACE_UINT32 p)
| Set prev entry.
## Public Attributes
EXT_ID | ext_id_
| Key used to look up an entry.
INT_ID | int_id_
| The contents of the entry itself.
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
ACE_UINT32 | next_
| Keeps track of the next entry.
ACE_UINT32 | prev_
| Keeps track of the previous entry.

## Detailed Description

### template<class EXT_ID, class INT_ID>
class ACE_Map_Entry< EXT_ID, INT_ID >

An entry in the Map.

## Constructor & Destructor Documentation

template<class EXT_ID, class INT_ID>
ACE_INLINE ACE_Map_Entry< EXT_ID, INT_ID >::~ACE_Map_Entry | ( | void |  | ) |

| We need this destructor to keep some compilers from complaining. It's just a no-op, however.

## Member Function Documentation

template<class EXT_ID, class INT_ID>
void ACE_Map_Entry< EXT_ID, INT_ID >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class EXT_ID, class INT_ID>
ACE_INLINE void ACE_Map_Entry< EXT_ID, INT_ID >::next | ( | ACE_UINT32 | n | ) |

| Set next entry.

template<class EXT_ID, class INT_ID>
ACE_INLINE ACE_UINT32 ACE_Map_Entry< EXT_ID, INT_ID >::next | ( | void |  | ) | const

| Get next entry.

template<class EXT_ID, class INT_ID>
ACE_INLINE void ACE_Map_Entry< EXT_ID, INT_ID >::prev | ( | ACE_UINT32 | p | ) |

| Set prev entry.

template<class EXT_ID, class INT_ID>
ACE_INLINE ACE_UINT32 ACE_Map_Entry< EXT_ID, INT_ID >::prev | ( | void |  | ) | const

| Get prev entry.

## Member Data Documentation

template<class EXT_ID, class INT_ID>
ACE_Map_Entry< EXT_ID, INT_ID >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class EXT_ID, class INT_ID>
EXT_ID ACE_Map_Entry< EXT_ID, INT_ID >::ext_id_

| Key used to look up an entry.

template<class EXT_ID, class INT_ID>
INT_ID ACE_Map_Entry< EXT_ID, INT_ID >::int_id_

| The contents of the entry itself.

template<class EXT_ID, class INT_ID>
ACE_UINT32 ACE_Map_Entry< EXT_ID, INT_ID >::next_

| Keeps track of the next entry.

template<class EXT_ID, class INT_ID>
ACE_UINT32 ACE_Map_Entry< EXT_ID, INT_ID >::prev_

| Keeps track of the previous entry.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_Manager.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_Manager.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_Manager.i